# Uses of Interface
javax.imageio.stream.ImageOutputStream

Packages that use ImageOutputStream
Package
Description
javax.imageio
The main package of the Java Image I/O API.
javax.imageio.spi
A package of the Java Image I/O API containing the plug-in interfaces for readers, writers, transcoders, and streams, and a runtime registry.
javax.imageio.stream
A package of the Java Image I/O API dealing with low-level I/O from files and streams.

## Uses of ImageOutputStream in javax.imageio

Methods in javax.imageio that return ImageOutputStream
Modifier and Type
Method
Description
`static ImageOutputStream`
ImageIO.`createImageOutputStream(Object output)`
Returns an `ImageOutputStream` that will send its output to the given `Object`.
Methods in javax.imageio with parameters of type ImageOutputStream
Modifier and Type
Method
Description
`static boolean`
ImageIO.`write(RenderedImage im, String formatName, ImageOutputStream output)`
Writes an image using the an arbitrary `ImageWriter` that supports the given format to an `ImageOutputStream`.

## Uses of ImageOutputStream in javax.imageio.spi

Methods in javax.imageio.spi that return ImageOutputStream
Modifier and Type
Method
Description
`ImageOutputStream`
ImageOutputStreamSpi.`createOutputStreamInstance(Object output)`
Returns an instance of the `ImageOutputStream` implementation associated with this service provider.
`abstract ImageOutputStream`
ImageOutputStreamSpi.`createOutputStreamInstance(Object output, boolean useCache, File cacheDir)`
Returns an instance of the `ImageOutputStream` implementation associated with this service provider.

## Uses of ImageOutputStream in javax.imageio.stream

Classes in javax.imageio.stream that implement ImageOutputStream
Modifier and Type
Class
Description
`class`
`FileCacheImageOutputStream`
An implementation of `ImageOutputStream` that writes its output to a regular `OutputStream`.
`class`
`FileImageOutputStream`
An implementation of `ImageOutputStream` that writes its output directly to a `File` or `RandomAccessFile`.
`class`
`ImageOutputStreamImpl`
An abstract class implementing the `ImageOutputStream` interface.
`class`
`MemoryCacheImageOutputStream`
An implementation of `ImageOutputStream` that writes its output to a regular `OutputStream`.